import { storiesOf } from "@storybook/react";
import React from "react";
import Dialog from "./";
import Button from "../button";

storiesOf("Dialog", module)
    .add("Default", () => <Dialog />)
    .add("Modal", () => (
        <div>
            <Button>Outside Button 1</Button>
            <Dialog visible={true} modal={true}>
                <Button>Button 1</Button>
                <Button>Button 2</Button>
                <Button>Button 3</Button>
            </Dialog>
            <Button>Outside Button 2</Button>
        </div>
    ))
    .add("With width", () => <Dialog contentWidth={"300px"} />)
    .add("With height", () => <Dialog contentHeight={"500px"} />)
    .add("With width and height", () => (
        <Dialog contentWidth={"300px"} contentHeight={"500px"} />
    ))
    .add("With label", () => <Dialog label={"Dialog"} />)
    .add("With labelledby", () => (
        <Dialog labelledBy={"dialogLabelledBy"}>
            <h2 id={"dialogLabelledBy"}>Dialog</h2>
        </Dialog>
    ))
    .add("With describedby and labelledby", () => (
        <Dialog labelledBy={"dialogLabelledBy01"} describedBy={"dialogDescribedBy"}>
            <h2 id={"dialogLabelledBy01"}>Dialog</h2>
            <p id={"dialogDescribedBy"}>Dialog description</p>
        </Dialog>
    ));
